Index: sansguiframe/src/sans/guiframe/gui_manager.py
===================================================================
--- sansguiframe/src/sans/guiframe/gui_manager.py	(revision 56acb5dbdfd90c550af484b44d5b8165d40c7f2d)
+++ sansguiframe/src/sans/guiframe/gui_manager.py	(revision 9f9bb88bbfa5405d2331b4d935575a3e76ab199c)
@@ -174,7 +174,4 @@
 DEFAULT_STYLE = config.DEFAULT_STYLE
 
-
-PLOPANEL_HEIGTH = config.PLOPANEL_HEIGTH
-DATAPANEL_HEIGHT = config.DATAPANEL_HEIGHT
 PLUGIN_STATE_EXTENSIONS =  config.PLUGIN_STATE_EXTENSIONS
 OPEN_SAVE_MENU = config.OPEN_SAVE_PROJECT_MENU
@@ -878,18 +875,19 @@
         get the proper panel width and height
         """
-        panel_height_min = self._window_height
-        panel_width_min = self._window_width 
+        ## Check and set the size
+        if DATAPANEL_WIDTH < 0:
+            panel_width = int(self._window_width * 0.22)
+        else:
+            panel_width = DATAPANEL_WIDTH
+        panel_height = int(self._window_height * 0.9)
         style = self.__gui_style & (GUIFRAME.MANAGER_ON)
         if self._data_panel is not None  and (p == self._data_panel):
-            panel_width_min = DATAPANEL_WIDTH
-            panel_height_min = self._window_height * 0.8
-            return panel_width_min, panel_height_min
+            return panel_width, panel_height
         if hasattr(p, "CENTER_PANE") and p.CENTER_PANE:
             style = self.__gui_style & (GUIFRAME.PLOTTING_ON|GUIFRAME.MANAGER_ON)
             if style == (GUIFRAME.PLOTTING_ON|GUIFRAME.MANAGER_ON):
-                panel_width_min = self._window_width -\
-                            (DATAPANEL_WIDTH +config.PLOPANEL_WIDTH)
-            return panel_width_min, panel_height_min
-        return panel_width_min, panel_height_min
+                panel_width = self._window_width - panel_width
+            return panel_width, panel_height
+        return panel_width, panel_height
     
     def _load_panels(self):
@@ -947,5 +945,4 @@
             p = panel_class
             id = wx.NewId()
-            #w, h = self._get_panels_size(p)
             # Check whether we need to put this panel
             # in the center pane
@@ -1086,4 +1083,12 @@
         style1 = self.__gui_style & GUIFRAME.FIXED_PANEL
         style2 = self.__gui_style & GUIFRAME.FLOATING_PANEL
+        
+        ## Check and set the size
+        if PLOPANEL_WIDTH < 0:
+            p_panel_width = int(self._window_width * 0.36)
+        else:
+            p_panel_width = PLOPANEL_WIDTH
+        p_panel_height = int(p_panel_width * 0.75)
+        
         if style1 == GUIFRAME.FIXED_PANEL:
             self._mgr.AddPane(p, wx.aui.AuiPaneInfo().
@@ -1098,7 +1103,6 @@
                               # Use a large best size to make sure the AUI 
                               # manager takes all the available space
-                              BestSize(wx.Size(PLOPANEL_WIDTH, 
-                                               PLOPANEL_HEIGTH)))
-        
+                              BestSize(wx.Size(p_panel_width, 
+                                               p_panel_height)))
             self._popup_fixed_panel(p)
     
@@ -1110,9 +1114,8 @@
                               # Use a large best size to make sure the AUI
                               #  manager takes all the available space
-                              BestSize(wx.Size(PLOPANEL_WIDTH, 
-                                               PLOPANEL_HEIGTH)))
+                              BestSize(wx.Size(p_panel_width, 
+                                               p_panel_height)))
             
             self._popup_floating_panel(p)
-        
         # Register for closing of panels
         self.Bind(wx.aui.EVT_AUI_PANE_CLOSE, self.on_panel_close)
@@ -2848,11 +2851,12 @@
         style = self.__gui_style & GUIFRAME.FIXED_PANEL
         if style == GUIFRAME.FIXED_PANEL:
-            self._mgr.GetPane(p.window_name).Dock()
-            self._mgr.GetPane(p.window_name).Floatable()
-            self._mgr.GetPane(p.window_name).Right()
-            self._mgr.GetPane(p.window_name).TopDockable(False)
-            self._mgr.GetPane(p.window_name).BottomDockable(False)
-            self._mgr.GetPane(p.window_name).LeftDockable(False)
-            self._mgr.GetPane(p.window_name).RightDockable(True)
+            pane = self._mgr.GetPane(p.window_name)
+            pane.Dock()
+            pane.Floatable()
+            pane.Right()
+            pane.TopDockable(False)
+            pane.BottomDockable(False)
+            pane.LeftDockable(False)
+            pane.RightDockable(True)
             self._mgr.Update()
             
@@ -2862,7 +2866,8 @@
         style = self.__gui_style &  GUIFRAME.FLOATING_PANEL
         if style == GUIFRAME.FLOATING_PANEL: 
-            self._mgr.GetPane(p.window_name).Floatable(True)
-            self._mgr.GetPane(p.window_name).Float()
-            self._mgr.GetPane(p.window_name).Dockable(False)
+            pane = self._mgr.GetPane(p.window_name)
+            pane.Floatable(True)
+            pane.Float()
+            pane.Dockable(False)
             self._mgr.Update()
             
@@ -3478,10 +3483,15 @@
         customWidth, customHeight = size
         
-        # If the custom screen is bigger than the 
-        # window screen than make maximum size
-        if customWidth > displayWidth:
-            customWidth = displayWidth
-        if customHeight > displayHeight:
-            customHeight = displayHeight
+        # If the custom size is default, set 90% of the screen size
+        if customWidth < 0 and customHeight < 0:
+            customWidth = displayWidth * 0.9
+            customHeight = displayHeight * 0.9
+        else:
+            # If the custom screen is bigger than the 
+            # window screen than make maximum size
+            if customWidth > displayWidth:
+                customWidth = displayWidth
+            if customHeight > displayHeight:
+                customHeight = displayHeight
             
         # Note that when running Linux and using an Xming (X11) server on a PC
@@ -3494,5 +3504,7 @@
         # If dual screen registered as 1 screen. Make width half.
         if displayWidth > (displayHeight*2):
-            customWidth = displayWidth/2
+            if (customWidth == displayWidth):
+                customWidth = displayWidth/2
+            # and set the position to be the corner of the screen.
             posX = 0
             posY = 0
@@ -3504,5 +3516,5 @@
         
         # Return the suggested position and size for the application frame.    
-        return (posX, posY), (min(displayWidth, customWidth), min(displayHeight, customHeight))
+        return (posX, posY), (customWidth, customHeight)
 
     
Index: sansview/custom_config.py
===================================================================
--- sansview/custom_config.py	(revision 7343319fee4b49439bdc4c6aab393f6ab7902005)
+++ sansview/custom_config.py	(revision 9f9bb88bbfa5405d2331b4d935575a3e76ab199c)
@@ -2,11 +2,11 @@
     Application appearance custom configuration
 """
-DATAPANEL_WIDTH = 260
+DATAPANEL_WIDTH = -1
 CLEANUP_PLOT = False
 FIXED_PANEL = True
-PLOPANEL_WIDTH = 420
+PLOPANEL_WIDTH = -1
 DATALOADER_SHOW = True
-GUIFRAME_HEIGHT = 840
-GUIFRAME_WIDTH = 1180
+GUIFRAME_HEIGHT = -1 
+GUIFRAME_WIDTH = -1
 DEFAULT_OPEN_FOLDER = None
 WELCOME_PANEL_SHOW = False
